%global pypi_name googleapis-common-protos
%global commitId a8c30c85d21305952860c9ef187074dc7eeecf69

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:          python%{?component_prefix}-%{pypi_name}
Version:       1.59.1
Release:       1%{?dist}
Summary:       Common protobufs used in Google APIs

License:       Apache-2.0
URL:           https://github.com/googleapis/python-api-common-protos
Source0:       python-googleapis-common-protos-a8c30c85d21305952860c9ef187074dc7eeecf69.tar.gz
BuildArch:     noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-protobuf >= 3.19.5
BuildRequires:  python%{python3_pkgversion}-protobuf < 5.0.0.dev0
BuildRequires:  python%{python3_pkgversion}-rpm-macros

BuildConflicts: python%{python3_pkgversion}-protobuf = 3.20.0
BuildConflicts: python%{python3_pkgversion}-protobuf = 3.20.1
BuildConflicts: python%{python3_pkgversion}-protobuf = 4.21.1
BuildConflicts: python%{python3_pkgversion}-protobuf = 4.21.2
BuildConflicts: python%{python3_pkgversion}-protobuf = 4.21.3
BuildConflicts: python%{python3_pkgversion}-protobuf = 4.21.4
BuildConflicts: python%{python3_pkgversion}-protobuf = 4.21.5

%global _description %{expand:
googleapis-common-protos contains the python classes generated from the common
protos in the googleapis/googleapis repository.}

%description
%{_description}

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:       %{summary}

Requires:  python%{python3_pkgversion}-protobuf >= 3.19.5
Requires:  python%{python3_pkgversion}-protobuf < 5.0.0.dev0

Conflicts: python%{python3_pkgversion}-protobuf = 3.20.0
Conflicts: python%{python3_pkgversion}-protobuf = 3.20.1
Conflicts: python%{python3_pkgversion}-protobuf = 4.21.1
Conflicts: python%{python3_pkgversion}-protobuf = 4.21.2
Conflicts: python%{python3_pkgversion}-protobuf = 4.21.3
Conflicts: python%{python3_pkgversion}-protobuf = 4.21.4
Conflicts: python%{python3_pkgversion}-protobuf = 4.21.5

%description -n python%{python3_pkgversion}-%{pypi_name}
%{_description}

%prep
%autosetup -n python-%{pypi_name}-%{commitId}

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/google
%{python3_sitelib}/googleapis_common_protos-%{version}-py%{python3_version}.egg-info
%{python3_sitelib}/googleapis_common_protos-%{version}-py%{python3_version}-nspkg.pth

%changelog
* Wed Jul 12 2023 Satoe Imaishi <simaishi@redhat.com> - 1.59.1-1
- Initial Build
